summaryrefslogtreecommitdiff
path: root/scripts/scan-tools.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2009-09-16 17:22:57 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2009-09-16 17:22:57 +0200
commit81c4c7c2cf2c5ff27a6c02e41bf484a53ea942c2 (patch)
tree71e5ee053da99e7130d2668409b2abe676015546 /scripts/scan-tools.sh
parent2fe7aa2130f3e72d2b39ed0929cfc6ae803cecd4 (diff)
make adk compile system work on shuttle
- add some missing packages like cpio, lzma and gnu wget - make microperl more featureful, needed for kernel-header installation - make a dependency to perl - fix header installation for $libc-dev package - fix 64bit uclibc setup, simplify gcc patches and totally unrelated - add preliminary kvm and libvirt support (not tested)
Diffstat (limited to 'scripts/scan-tools.sh')
-rw-r--r--scripts/scan-tools.sh68
1 files changed, 37 insertions, 31 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 00aa92de3..29cdf0fef 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -107,37 +107,37 @@ if ! which cpp >/dev/null 2>&1; then
out=1
fi
-if ! which flex >/dev/null 2>&1; then
- echo You must install flex to continue.
- echo
- out=1
-else
- echo '%%' | flex -
- if fgrep _POSIX_SOURCE lex.yy.c; then
- echo Your lexer \(flex\) contains a broken skeleton.
- if [[ $NO_ERROR = 1 ]]; then
- echo WARNING: continue at your own risk.
- echo Some packages may be broken.
- else
- echo You can continue the build by issuing \'make prereq-noerror\'
- echo However, several packages may faild to build correctly.
- out=1
- fi
- echo
- fi
-fi
-
-if ! which bison >/dev/null 2>&1; then
- echo You must install GNU bison to continue.
- echo
- out=1
-fi
-
-if ! which gperf >/dev/null 2>&1; then
- echo You must install gperf to continue.
- echo
- out=1
-fi
+#if ! which flex >/dev/null 2>&1; then
+# echo You must install flex to continue.
+# echo
+# out=1
+#else
+# echo '%%' | flex -
+# if fgrep _POSIX_SOURCE lex.yy.c; then
+# echo Your lexer \(flex\) contains a broken skeleton.
+# if [[ $NO_ERROR = 1 ]]; then
+# echo WARNING: continue at your own risk.
+# echo Some packages may be broken.
+# else
+# echo You can continue the build by issuing \'make prereq-noerror\'
+# echo However, several packages may faild to build correctly.
+# out=1
+# fi
+# echo
+# fi
+#fi
+
+#if ! which bison >/dev/null 2>&1; then
+# echo You must install GNU bison to continue.
+# echo
+# out=1
+#fi
+
+#if ! which gperf >/dev/null 2>&1; then
+# echo You must install gperf to continue.
+# echo
+# out=1
+#fi
if ! which tar >/dev/null 2>&1; then
echo You must install GNU tar to continue.
@@ -277,6 +277,12 @@ if ! which file >/dev/null 2>&1; then
out=1
fi
+if ! which perl >/dev/null 2>&1; then
+ echo You must install perl to continue.
+ echo
+ out=1
+fi
+
cd $topdir
rm -rf tmp